WordPress.org

Ready to get started?Download WordPress

Forums

WYSIWYG wp_editor() limitations in 3.3 (1 post)

  1. fireproofsocks
    Member
    Posted 2 years ago #

    Looking over the new wp_editor() function (http://codex.wordpress.org/Function_Reference/wp_editor) I noticed this little gem:

    Note that the ID that is passed to the wp_editor() function can only be comprised of lower-case letters. No underscores, no hyphens. Anything else will cause the WYSIWYG editor to malfunction.

    I've confirmed that all hell breaks loose the moment you use an underscore in the editor_id. This is crazy. Surely this isn't a limitation in TinyMCE, but rather in WP's implementation of it, no?

    Any workarounds here? I had finally hacked apart the wp_tiny_mce() function that was used in WP 3.2.1... this new version is a step in the right direction, but it still isn't usable for my needs.

Topic Closed

This topic has been closed to new replies.

About this Topic